#!/bin/sh

THRESHOLD=80

accounts=$(whmapi1 --output=jsonpretty listaccts | jq -r '.data.acct[] | .user' | sort)

whmapi1 --output=jsonpretty get_disk_usage > /root/disk_usage.txt

echo ''

printf "%-20s %-20s \n" "Account" "Disk_Usage"

printf "%-20s %-20s \n" "-------------------" "-------------------"

for account in $accounts; do

  if [ "$account" == "phpchk" ]; then
      continue
  fi

  disk_limit=`cat /root/disk_usage.txt | jq --arg account "$account" '.data.accounts[] | select(.user == $account) | .blocks_limit'`
  disk_limit=$(echo $disk_limit | sed 's/\"//g')

  if [ "$disk_limit" == "0" ] || [ "$disk_limit" == "unlimited" ] || [ "$disk_limit" == "null" ] || [ -z "$disk_limit" ]; then
      continue
  fi

  blocks_used=`cat /root/disk_usage.txt | jq --arg account $account '.data.accounts[] | select(.user == $account)  | .blocks_used'`

  percent=$(awk "BEGIN {printf \"%.2f\", ($blocks_used/$disk_limit)*100}")
  #echo $percent

  if (( $(echo "$percent > $THRESHOLD" | bc -l) )); then
     printf "%-20s %-20s \n" "$account" "$percent %"
  fi

done

echo ''

rm -f /root/disk_usage.txt
